#ifndef WHEEL_H
#define WHEEL_H
#include <QLabel>

class wheel : public QLabel
{
	Q_OBJECT
	public:
		wheel(QWidget * parent);
		QWidget *myparent;
		QImage tmpwheel;
		QImage wlimg;
		int red;
		int green;
		int blue;
		int luma;
		QColor trtcolor;
	public:
		void setColor(int,int,int);
	private:
	signals:
		void gochange();
		void finchange();
	protected:
		void wheelEvent(QWheelEvent *event);
		void mouseMoveEvent(QMouseEvent *event);
		void mouseReleaseEvent ( QMouseEvent * event );
		void mousePressEvent( QMouseEvent * );
};
#endif
